Upgrade procedure from 0.12 to 0.13

David Smith dizzyd at basho.com
Wed Oct 13 13:34:08 EDT 2010


To the best of my knowledge, there are no changes between 0.12->0.13
that would prevent a rolling upgrade. That said, we have not tested
that specific use-case yet -- it's in the pipeline to be part of our
pre-release automated testing.

I'd recommend you'd try it on a QA cluster before doing it live...but
it should generally work. :)

D.

On Wed, Oct 13, 2010 at 11:30 AM, Alexander Sicular <siculars at gmail.com> wrote:
> Well it sounds to me that there are three primary considerations. Riak_core, Riak_kv and bitcask (assuming you are using that backend). If either of those change in some incompatible way you could end up doing damage to your data. I dunno, sounds possible to me. That said, rolling upgrades would be ... desirable. Personally I would not do it unless Basho said it was kosher.
>
> -Alexander
>
>
> On Oct 13, 2010, at 1:23 PM, Wilson MacGyver wrote:
>
>> I thought it's possible to do "rolling upgrade". ie, shutdown 1 node,
>> upgrade it, and reconnect the
>> node to the cluster.
>>
>> otherwise you'd need 2X of the nodes in production.
>>
>> On Wed, Oct 13, 2010 at 1:21 PM, Alexander Sicular <siculars at gmail.com> wrote:
>>> I'm pretty sure that Baho would recommend that all nodes in a cluster should be running the same version. An upgrade would probably require doing a full database backup and a full database restore on a *new* cluster.
>>>
>>> -Alexander
>>>
>>> On Oct 13, 2010, at 10:06 AM, SKester wrote:
>>>
>>>> Hey folks,
>>>>
>>>> What is the proper way to upgrade a cluster from 0.12 to 0.13?  Our 4 node cluster was originally created by installing the 0.12 rpms.  Is the process as simple as stopping  riak on a node, installing the new rpm and re-starting?  Is it possible to roll through each node one at a time while the others are still available, or do all nodes need to be halted and upgraded at the same time?  I have backed up the /etc/riak directory to save the initial config data.  Are the 0.12 config files fully compatible with 0.13?
>>>>
>>>> Thanks,
>>>> Scott
>>>> _______________________________________________
>>>> riak-users mailing list
>>>> riak-users at lists.basho.com
>>>> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>>>
>>>
>>> -Alexander Sicular
>>>
>>> @siculars
>>>
>>>
>>> _______________________________________________
>>> riak-users mailing list
>>> riak-users at lists.basho.com
>>> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>>>
>>
>>
>>
>> --
>> Omnem crede diem tibi diluxisse supremum.
>>
>> _______________________________________________
>> riak-users mailing list
>> riak-users at lists.basho.com
>> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>
>
> -Alexander Sicular
>
> @siculars
>
>
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>




More information about the riak-users mailing list